#ifndef KROSSDUCHAINLOCK_H
#define KROSSDUCHAINLOCK_H

#include<QtCore/QVariant>

//This is file has been generated by xmltokross, you should not edit this file but the files used to generate it.

namespace KDevelop { class DUChainLock; }
namespace KDevelop { class DUChainReadLocker; }
namespace KDevelop { class DUChainWriteLocker; }
namespace Handlers
{
	QVariant _kDevelopDUChainWriteLockerHandler(void* type);
	QVariant kDevelopDUChainWriteLockerHandler(KDevelop::DUChainWriteLocker* type);
	QVariant kDevelopDUChainWriteLockerHandler(const KDevelop::DUChainWriteLocker* type);

	QVariant _kDevelopDUChainReadLockerHandler(void* type);
	QVariant kDevelopDUChainReadLockerHandler(KDevelop::DUChainReadLocker* type);
	QVariant kDevelopDUChainReadLockerHandler(const KDevelop::DUChainReadLocker* type);

	QVariant _kDevelopDUChainLockHandler(void* type);
	QVariant kDevelopDUChainLockHandler(KDevelop::DUChainLock* type);
	QVariant kDevelopDUChainLockHandler(const KDevelop::DUChainLock* type);

}

#endif
